
var fs = require("fs");

var exampleRootDir = "./example";
var exampleNestedDir = exampleRootDir + "/a";
var shallowFile = exampleRootDir + "/shallow.js";
var deepFile = exampleNestedDir + "/deep.js";

desc("Demonstrate the globstar bug");
task("default", [deepFile, shallowFile], function() {
        var files = new jake.FileList();
        files.include('example/**/*.js');
        console.log("File list should be: ", [shallowFile, deepFile]);
        console.log("File list is actually: ", files.toArray());
});

desc("Create a shallowly-nested file");
file(shallowFile, [exampleRootDir], function() {
        fs.writeFileSync(shallowFile, "This is a shallowly-nested file");
        console.log("Created file at " + shallowFile);
});

desc("Create a deeply-nested file");
file(deepFile, [exampleNestedDir], function() {
        fs.writeFileSync(deepFile, "This is a deeply-nested file");
        console.log("Created file at " + deepFile);
});

directory(exampleNestedDir, [exampleRootDir]);
directory(exampleRootDir);
